#
# spec file for package ghostscript-cjk
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ghostscript-cjk
Provides:       locale(ghostscript-library:ja;ko;zh)
Version:        20050315
Release:        170.5
Requires:       ft2demos
Requires:       ghostscript-library >= 8.15
Obsoletes:      CMap-Adobe-CNS1
Obsoletes:      CMap-Adobe-GB1
Obsoletes:      CMap-Adobe-Identity
Obsoletes:      CMap-Adobe-Japan1
Obsoletes:      CMap-Adobe-Japan2
Obsoletes:      CMap-Adobe-Korea1
Url:            http://www.gyve.org/gs-cjk/
# Original source is gzipped.
Source0:        ftp://ftp.gyve.org/pub/gs-cjk/adobe-cmaps-200204.tar.bz2
Source1:        ftp://ftp.gyve.org/pub/gs-cjk/acro5-cmaps-2001.tar.bz2
Source2:        http://www.aihara.co.jp/~taiji/tops/install-cid-20020820.tar.gz
Source11:       cidfont-x11-config
Source12:       acroread-cidfont-config
Source13:       ghostscript-cjk-config
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tools for Using CJK TrueType Fonts and CID-Keyed Fonts with Ghostscript
License:        BSD-3-Clause
Group:          Productivity/Publishing/PS

%description
CMaps, scripts, and other tools for using CJK TrueType fonts and
CID-keyed fonts with Ghostscript.



Authors:
--------
    Taiji Yamada <taiji@aihara.co.jp>
    suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
    Masatake YAMATO <jet@gyve.org>
    Hideyuki Suzuki <hideyuki@sat.t.u-tokyo.ac.jp>

%prep
%setup0 -n %{name} -c %{name} -T
mkdir -p Resource/{CIDFont,Font}
pushd Resource
    tar jxvf ${RPM_SOURCE_DIR}/adobe-cmaps-200204.tar.bz2
    tar jxvf ${RPM_SOURCE_DIR}/acro5-cmaps-2001.tar.bz2
#    tar zxvf ${RPM_SOURCE_DIR}/install-cid-20020820.tar.gz
    rm -f *.bat
popd

%build 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/ 
cp -a Resource ${RPM_BUILD_ROOT}/usr/share/ghostscript/
mkdir -p ${RPM_BUILD_ROOT}/sbin/conf.d/
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -p -m 755 ${RPM_SOURCE_DIR}/ghostscript-cjk-config \
                  ${RPM_BUILD_ROOT}/usr/sbin
pod2man --section 1 --center=" " ${RPM_SOURCE_DIR}/ghostscript-cjk-config \
        > $RPM_BUILD_ROOT/%{_mandir}/man1/ghostscript-cjk-config.1
install -p -m 755 ${RPM_SOURCE_DIR}/cidfont-x11-config \
                  ${RPM_BUILD_ROOT}/usr/sbin
pod2man --section 1 --center=" " ${RPM_SOURCE_DIR}/cidfont-x11-config \
        > $RPM_BUILD_ROOT/%{_mandir}/man1/cidfont-x11-config.1
install -p -m 755 ${RPM_SOURCE_DIR}/acroread-cidfont-config \
                  ${RPM_BUILD_ROOT}/usr/sbin
pod2man --section 1 --center=" " ${RPM_SOURCE_DIR}/acroread-cidfont-config \
        > $RPM_BUILD_ROOT/%{_mandir}/man1/acroread-cidfont-config.1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
LC_ALL=POSIX
if test -x /usr/sbin/acroread-cidfont-config ; then
    /usr/sbin/acroread-cidfont-config || :
fi
if test -x /usr/sbin/ghostscript-cjk-config ; then
    /usr/sbin/ghostscript-cjk-config || :
fi

%files
%defattr(-, root, root)
%doc
%dir /usr/share/ghostscript/
/usr/share/ghostscript/*
/usr/sbin/ghostscript-cjk-config
/usr/sbin/cidfont-x11-config
/usr/sbin/acroread-cidfont-config
%{_mandir}/*/*

%changelog
* Mon Oct  1 2012 werner@suse.de
- Remove SuSEconfig.ghostscript-cjk use a %%post scriplet instead
* Mon Oct  1 2012 werner@suse.de
- determine ghostscript CMap, CIDFont, and Adobe Fonts directories
  on the fly
* Tue Oct 25 2011 tiwai@suse.de
- fix the path of cifdmap to /etc/ghostscript/* (bnc#725946)
* Tue Jan 30 2007 mfabian@suse.de
- Bugzilla #239692: acroread moved to /usr/lib for openSUSE > 10.2,
  adapt the script acroread-cidfont-config.
* Tue Dec 19 2006 mfabian@suse.de
- disable the generation of CID-keyed font setup when mkcfm is
  missing. Support for CID-keyed fonts has been dropped from
  recent Xorg recently.
* Thu Aug 31 2006 mfabian@suse.de
- adapt paths in cidfont-x11-config to X11R7 (fonts are now in
  /usr/share/fonts/).
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(ghostscript-library:ja;ko;zh)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep  1 2005 mfabian@suse.de
- Bugzilla #114780: fix acroread-cidfont-config script, acroread
  has moved to a different directory.
* Mon Aug 29 2005 mfabian@suse.de
- fix typo in comment and usage message of ghostscript-cjk-config
  script.
* Thu Mar 17 2005 mfabian@suse.de
- uncomment some fonts which do not work yet (by the way,
  Takashi Iwai fixed the problem in Ghostscript for x86_64).
* Tue Mar 15 2005 mfabian@suse.de
- update for Ghostscript 8.x.
  Still doesn't work for x86_64, but should work for i386 now.
* Fri Sep 24 2004 mfabian@suse.de
- Bugzilla #46076: correctly delete generated fake -Bold,
  - BoldItalic, and -Italic versions.
* Mon Sep 13 2004 mfabian@suse.de
- add entries for IPA-fonts to ghostscript-cjk-config script.
* Tue Aug  3 2004 mfabian@suse.de
- Bugzilla #39142: rewrite main part of SuSEconfig.ghostscript-cjk
  in perl and add code to generate wrapper files for artificial
  bold, italic, and bolditalic.
- add sazanami fonts to the prefer lists for the standard aliases
  "Ryumin-Light" and "GothicBBB-Medium".
* Fri Jun  4 2004 mfabian@suse.de
- add configuration entries to SuSEconfig.ghostscript-cjk
  and acroread-cidfont-config for the Japanese Ricoh fonts licensed
  by Novell.
* Mon Apr 19 2004 mfabian@suse.de
- Bugzilla #39140:
  * add entries for commercial chinese fonts
  * add entries to create PostScript font names Adobe-Japan1,
    Adobe-Korea1, Adobe-GB1, and Adobe-CNS1.
* Fri Apr  2 2004 mfabian@suse.de
- Bugzilla #38080: add more fonts to the replacement list for
  acroread.
* Mon Mar 15 2004 mfabian@suse.de
- add "Requires: ft2demos" (because ftdump is needed to find
  the PostScript names of the fonts, see also:
  http://lists.suse.com/archive/m17n/2004-Mar/0016.html
* Fri Mar 12 2004 mfabian@suse.de
- Bugzilla #34421: generate some files and symlinks to make
  it possible that acroread uses the free CID-keyed fonts from the
  CID-keyed-fonts-Munhwa, CID-keyed-fonts-MOE, and
  CID-keyed-fonts-Wada packages.
* Sat Sep 20 2003 mfabian@suse.de
- use mkdir_p instead of just mkdir when creating new directories.
* Mon Aug  4 2003 mfabian@suse.de
- add more fonts for Chinese to SuSEconfig.ghostscript-cjk
* Wed Jul 16 2003 mfabian@suse.de
- add kochi-{gothic,mincho}-subst.ttf to SuSEconfig.ghostscript-cjk
* Fri Jun 13 2003 mfabian@suse.de
- fix "directory not owned by any packages"
* Mon Apr 14 2003 mfabian@suse.de
- add YOz.Fonts to SuSEconfig.ghostscript-cjk
* Wed Nov 20 2002 mfabian@suse.de
- fix bug in cidfont-x11-config. Some entries were still missing
  in the generated fonts.scale.auto.
* Tue Nov 19 2002 mfabian@suse.de
- check time stamp of all directories in
  /usr/share/ghostscript/Resource instead of just checking the time
  stamp of /usr/share/ghostscript/Resource to decide whether to
  update the CID-keyed font setup for X11.
* Tue Nov 19 2002 mfabian@suse.de
- add script /usr/sbin/cidfont-x11-config to search if true
  CID-keyed fonts are installed in /usr/share/ghostscript/Resource
  and if yes make them available for X11 as well.
* Sat Oct 19 2002 mfabian@suse.de
- #20972: don't use hya6gb3.ttf as the preferred font for
  traditional Chinese, it doesn't seem to work well for traditional
  Chinese. Use bsmi00lp.ttf instead.
- update to latest versions of CMaps and install-cid.
- make SuSEconfig.ghostscript-cjk faster by not repeating
  the same work all the time.
* Thu Oct 17 2002 mfabian@suse.de
- #20972: add patch from <toshihiro@turbolinux.co.jp> to
  SuSEconfig.ghostscript-cjk which makes it work with sh as well
  and not only with bash and improves the extraction of
  the Postscript name.
* Thu Oct 17 2002 mfabian@suse.de
- #20972 improve SuSEconfig.ghostscript-cjk to generate
  stub files for GB-Song-Medium, B5-Song-Medium, and
  Baekmuk-Gulim which are set as the default PostScript fonts
  for Mozilla now.
* Wed Oct 16 2002 mfabian@suse.de
- new package: ghostscript-cjk 20021016
